
From: Mike Tran <mhtran@us.ibm.com>

This fixes the RAID1 recovery problems; i tseems to be a simple thinko:
sync_request_write() is passing "ok=0" into md_done_sync().  Clearly, `ok'
should be true here.



 drivers/md/raid1.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/raid1.c~raid1-recovery-fix drivers/md/raid1.c
--- 25/drivers/md/raid1.c~raid1-recovery-fix	2003-11-01 13:08:37.000000000 -0800
+++ 25-akpm/drivers/md/raid1.c	2003-11-01 13:08:54.000000000 -0800
@@ -841,7 +841,7 @@ static void sync_request_write(mddev_t *
 	}
 
 	if (atomic_dec_and_test(&r1_bio->remaining)) {
-		md_done_sync(mddev, r1_bio->master_bio->bi_size >> 9, 0);
+		md_done_sync(mddev, r1_bio->master_bio->bi_size >> 9, 1);
 		put_buf(r1_bio);
 	}
 }

_
